SQFSDIFF(1)

NAME
sqfsdiff - compare two squashfs images by contents and metadata

SYNOPSIS
sqfsdiff [OPTIONS...] --old <first> --new <second>

DESCRIPTION
Compare two squashfs images. In contrast to doing a direct diff of the images, this actually parses the filesystems and generates a more meaningful difference report.

If only contents are compared, any differences in packed file layout, ordering, compression, inode meta data and so on is ignored and the two images are considered equal if each directory contains the same entries, symlink with the same paths have the same targets, device nodes the same device number and files the same size and contents.

A report of any difference is printed to stdout. The exit status is similar that of diff(1): 0 means equal, 1 means different, 2 means problem.

Possible options:

--old, -a <first>
    Specify the first filesystem image or source directory, relativ to which the changes are evaluated.

--new, -b <second>
    Specify the second filesystem image to source directory to compare to the first one.

--no-contents, -C
    Do not compare file contents.

--no-owner, -O
    Do not compare file owners.

--no-permissions, -P
    Do not compare permission bits.

--timestamps, -T
    Compare file timestamps.

--inode-num, -I
    Compare inode numbers of all files.

--super, -S
    Also compare meta data in super blocks.

--extract, -e <path>
    Extract files that exist in both images but have different contents to the specified directory. Contents of the first image end up in a sub directory named old and the contents of the second image in a sub directory named new.

--help, -h
    Print help text and exit.

--version, -V
    Print version information and exit.

EXIT STATUS
The exit status is similar that of diff(1): 0 means equal, 1 means different, 2 means problem.

SEE ALSO
rdsquashfs(1), sqfs2tar(1)

AUTHOR
Written by David Oberhollenzer.

COPYRIGHT
Copyright © 2019 David Oberhollenzer et al License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.